# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2018-10-31 15:35
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('catalogue', '0013_auto_20170821_1548'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('partner', '0004_auto_20160107_1755'),
    ]

    operations = [
        migrations.CreateModel(
            name='AccumulationDiscountSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, unique=True)),
                ('active', models.BooleanField()),
                ('name', models.CharField(max_length=100, null=True)),
                ('levels', models.CharField(max_length=1000)),
            ],
        ),
        migrations.CreateModel(
            name='ProductFolderSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, unique=True)),
                ('parent_sync_id', models.CharField(max_length=100, null=True)),
                ('path_name', models.CharField(max_length=200)),
                ('archived', models.BooleanField()),
                ('updated', models.DateTimeField()),
                ('name', models.CharField(max_length=100)),
                ('path_name_changed', models.CharField(max_length=200, null=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='catalogue.Category')),
                ('parent_product_folder_sync', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='synchronizer.ProductFolderSync')),
            ],
        ),
        migrations.CreateModel(
            name='ProductSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, unique=True)),
                ('folder_sync_id', models.CharField(max_length=100)),
                ('article', models.CharField(max_length=200, null=True)),
                ('path_name', models.CharField(max_length=200, null=True)),
                ('archived', models.BooleanField()),
                ('updated', models.DateTimeField()),
                ('name', models.CharField(max_length=100, null=True)),
                ('attributes', models.CharField(default=None, max_length=1000)),
                ('product', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='catalogue.Product')),
            ],
        ),
        migrations.CreateModel(
            name='StockByStoreSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_or_variant_sync_id', models.CharField(max_length=100, null=True)),
                ('type_enum', models.CharField(choices=[(models.StockTypeEnum('product'), 'product'), (models.StockTypeEnum('variant'), 'variant')], max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='StoreSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, null=True)),
                ('updated', models.DateTimeField()),
                ('name', models.CharField(max_length=100, null=True)),
                ('archived', models.BooleanField()),
                ('path_name', models.CharField(max_length=100, null=True)),
                ('address', models.CharField(max_length=150, null=True)),
                ('description', models.CharField(max_length=100, null=True)),
                ('partner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='partner.Partner')),
            ],
        ),
        migrations.CreateModel(
            name='UserSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, unique=True)),
                ('archived', models.BooleanField()),
                ('updated', models.DateTimeField()),
                ('email', models.CharField(max_length=100, null=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='VariantCharacteristics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, null=True)),
                ('name', models.CharField(max_length=100)),
                ('value', models.CharField(max_length=100)),
                ('variant_sync_id', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='VariantSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sync_id', models.CharField(max_length=100, unique=True)),
                ('updated', models.DateTimeField()),
                ('name', models.CharField(max_length=100)),
                ('archived', models.BooleanField()),
                ('product_sync_id', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='variantcharacteristics',
            name='variant_sync_obj',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='synchronizer.VariantSync'),
        ),
        migrations.AddField(
            model_name='stockbystoresync',
            name='store',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='synchronizer.StoreSync'),
        ),
    ]
